
function pushConnected(user_id, platform, server)
{
//     try {
//            var obj = {
//                cmd: "js_report",
//                body: {
//                    dataType: 1,
//                    roleID: "",
//                    roleName: "",
//                    roleLevel: "",
//                    vip: "",
//                    serverID:server,
//                    serverName: server + "服",
//                }
//            }
//            egret.ExternalInterface.call("jsToNative", JSON.stringify(obj));
//        } catch (error) {
//            console.error("apiEnterGame error " + error);
//        }
}


function apiLeaveGame(user_id, role_id, time, platform, appid, dataType, server, roleName, roleLevel, moneyNum) {
    try {
        var obj = {
            cmd: "js_report",
            body: {
                dataType: 5,
                userID: user_id,
                serverID: server + "",
                serverName: server + "服",
                roleName: roleName + "",
                roleLevel: roleLevel + "",
                roleID: role_id + "",
                moneyNum: moneyNum + "",
                roleCreateTime: 0,
                guildId: gd.player.unionid ? gd.player.unionid.toString() : "",
                guildName: gd.union.unionName != "" ? gd.union.unionName : "",
                guildLeader: gd.union.unionInfo ? gd.union.unionInfo.leaderName : "",
                power: gd.player.power || 0,
                professionid: gd.player.career || 0,
                profession: gd.player.career ? Logic.getCareerName(gd.player.career) : "无",
                roleGender: gd.player.sex,
                professionroleid: 0,
                professionrolename: "无",
                vip: gd.vip.vipLevel,
                guildroleid: 0,
                guildrolename: "无",
                roleGradeDesc: "无",
                roleGradeUTime: 0,
                balance: "灵符",
                totalPayAmount: "0",
                totalOnlineTime: 0
            }
        }
        egret.ExternalInterface.call("jsToNative", JSON.stringify(obj));
    } catch (error) {
        console.error("apiLeaveGame error " + error);
    }
}

function apiSelectServer(user_id, role_id, time, platform, appid, dataType, server, roleName, roleLevel, moneyNum) {

}

function apiCreateRole(user_id, role_id, time, platform, appid, dataType, server, roleName, roleLevel, moneyNum) {
    try {
        var name = "";
        var sex = 0;
        // var gender = "无";
        var createRoleMsg = js_gameVars.createRoleMsg;
        var uid = gd.player.uid;
        var career = 0;
        var profession = "无"
        if (createRoleMsg && uid) {
            if (createRoleMsg.uid1.toString() == uid.toString()) {
                name = createRoleMsg.roleName1;
                sex = createRoleMsg.sex1;
                career = createRoleMsg.career1;
            } else if (createRoleMsg.uid2.toString() == uid.toString()) {
                name = createRoleMsg.roleName2;
                sex = createRoleMsg.sex2;
                career = createRoleMsg.career2;
            }
            // gender = sex == 1 ? "男" : "女";
            profession = Logic.getCareerName(career);
        }
        var obj = {
            cmd: "js_report",
            body: {
                dataType: 2,
                userID: user_id,
                serverID: server + "",
                serverName: server + "服",
                roleName: name,
                roleLevel: "1",
                roleID: role_id + "",
                moneyNum: "0",
                roleCreateTime: time,
                guildId: "",
                guildName: "",
                guildLevel: 0,
                guildLeader: "",
                power: gd.player.power || 0,
                professionid: career || 0,
                profession: profession,
                roleGender: sex,
                professionroleid: 0,
                professionrolename: "无",
                vip: 0,
                guildroleid: 0,
                guildrolename: "无",
                roleGradeDesc: "无",
                roleGradeUTime: 0,
                balance: "灵符",
                totalPayAmount: "0",
                totalOnlineTime: 0
            }
        }
        egret.ExternalInterface.call("jsToNative", JSON.stringify(obj));
    } catch (error) {
        console.error("apiCreateRole error");
    }
}

function apiEnterGame(user_id, role_id, time, platform, appid, dataType, server, roleName, roleLevel, moneyNum) {
    try {
        var obj = {
            cmd: "js_report",
            body: {
                dataType: 1,
                userID: user_id,
                serverID: server + "",
                serverName: server + "服",
                roleName: roleName + "",
                roleLevel: roleLevel + "",
                roleID: role_id + "",
                moneyNum: moneyNum + "",
                roleCreateTime: 0,
                guildId: gd.player.unionid ? gd.player.unionid.toString() : "",
                guildName: gd.union.unionName != "" ? gd.union.unionName : "",
                guildLevel: gd.union.unionLevel,
                guildLeader: gd.union.unionInfo ? gd.union.unionInfo.leaderName : "",
                power: gd.player.power || 0,
                professionid: gd.player.career || 0,
                profession: gd.player.career ? Logic.getCareerName(gd.player.career) : "无",
                roleGender: gd.player.sex,
                professionroleid: 0,
                professionrolename: "无",
                vip: gd.vip.vipLevel,
                guildroleid: 0,
                guildrolename: "无",
                roleGradeDesc: "无",
                roleGradeUTime: 0,
                balance: "灵符",
                totalPayAmount: "0",
                totalOnlineTime: 0
            }
        }

        //apiEnterGame
        obj.body.dataType = 3
        egret.ExternalInterface.call("jsToNative", JSON.stringify(obj));
    } catch (error) {
        console.error("apiEnterGame error " + error);
    }
}

function apiRoleLevel(user_id, role_id, level, time, platform, appid, dataType, server, roleName, moneyNum) {
    try {
        var obj = {
            cmd: "js_report",
            body: {
                dataType: 4,
                userID: user_id,
                serverID: server + "",
                serverName: server + "服",
                roleName: roleName + "",
                roleLevel: level + "",
                roleID: role_id + "",
                moneyNum: moneyNum + "",
                roleCreateTime: 0,
                guildId: gd.player.unionid ? gd.player.unionid.toString() : "",
                guildLevel: gd.union.unionLevel,
                guildName: gd.union.unionName != "" ? gd.union.unionName : "",
                guildLeader: gd.union.unionInfo ? gd.union.unionInfo.leaderName : "",
                power: gd.player.power || 0,
                professionid: gd.player.career || 0,
                profession: gd.player.career ? Logic.getCareerName(gd.player.career) : "无",
                roleGender: gd.player.sex,
                professionroleid: 0,
                professionrolename: "无",
                vip: gd.vip.vipLevel,
                guildroleid: 0,
                guildrolename: "无",
                roleGradeDesc: "无",
                roleGradeUTime: 0,
                balance: "灵符",
                totalPayAmount: "0",
                totalOnlineTime: 0
            }
        }
        egret.ExternalInterface.call("jsToNative", JSON.stringify(obj));
    } catch (error) {
        console.error("apiRoleLevel error " + error);
    }
}

function apiPayReport(user_id, role_id, time, platform, appid, dataType, server, roleName, roleLevel, moneyNum) {

}


function apiFiveMinutes(user_id, role_id, time, platform, appid, dataType, server, roleName, roleLevel, moneyNum) {

}


function apiSwitchUser() {

}
function apiLogout() {
//    try {
//            var obj = {
//                cmd: "js_logout",
//                body: {
//                    js_logout:1
//                }
//            }
//            egret.ExternalInterface.call("jsToNative", JSON.stringify(obj));
//        } catch (error) {
//            console.error("js_logout error");
//        }
}

function getCopyText(callback) {

}

function apiPay(user_id, game_role_id, game_role_name, money, money_type, goods_id, goods_name, goods_desc, server, time, sign, platform, cp_trade_sn, level, vip, coin, appid) {
    try {
        var obj = {
            cmd: "js_pay",
            body: {
                price: money + "",
                platform2cp:goods_id+"",
                props_name:goods_name+"",
                role_id:game_role_id+"",
                server_id:server+"",
                server_name:server+"服",
                trade_no:cp_trade_sn,
                role_name:game_role_name,
                goods_desc:goods_desc,

            }
        }
        egret.ExternalInterface.call("jsToNative", JSON.stringify(obj));
    } catch (error) {
        console.error("apiPay error");
    }
}
